%define module_name WWW-Shorten-Bitly
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/HomeDir.pm) perl(File/Spec.pm) perl(JSON/MaybeXS.pm) perl(LWP/Protocol/https.pm) perl(Path/Tiny.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(URI.pm) perl(WWW/Shorten.pm) perl(base.pm) perl(constant.pm) perl(strict.pm) perl(warnings.pm) perl(Cpanel/JSON/XS.pm) perl(JSON/PP.pm) perl(JSON/XS.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.001
Release: alt1
Summary: Interface to shortening URLs using L<http://bitly.com>
Group: Development/Perl
License: perl
URL: https://github.com/p5-shorten/WWW-Shorten-Bitly

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CA/CAPOEIRAB/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
%summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/W*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
* Tue Feb 14 2017 Igor Vlasenko <viy@altlinux.ru> 2.001-alt1
- regenerated from template by package builder

* Sun Sep 18 2016 Igor Vlasenko <viy@altlinux.ru> 2.000-alt1
- regenerated from template by package builder

* Mon Jan 20 2014 Cronbuild Service <cronbuild@altlinux.org> 1.17-alt2
- rebuild to get rid of unmets

* Tue Sep 10 2013 Igor Vlasenko <viy@altlinux.ru> 1.17-alt1
- initial import by package builder

